Package ru.bitel.bgbilling.modules.rscm.common.bean

# Class RSCMServiceDto

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.modules.rscm.common.bean.RSCMServiceDto

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class RSCMServiceDto extends IdTitle

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `RSCMServiceDto.Builder`

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RSCMServiceDto()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static RSCMServiceDto.Builder`
  `builder()`
  `String`
  `getPaymentMode()`
  `int`
  `getPayments()`
  `boolean`
  `isInstallment()`
  `void`
  `setInstallment(boolean installment)`
  `void`
  `setPaymentMode(String paymentMode)`
  `void`
  `setPayments(int payments)`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### RSCMServiceDto

    public RSCMServiceDto()

- ## Method Details

  - ### getPayments

    public int getPayments()

  - ### setPayments

    public void setPayments(int payments)

  - ### isInstallment

    public boolean isInstallment()

  - ### setInstallment

    public void setInstallment(boolean installment)

  - ### getPaymentMode

    public String getPaymentMode()

  - ### setPaymentMode

    public void setPaymentMode(String paymentMode)

  - ### builder

    public static RSCMServiceDto.Builder builder()